# Load default processing options
imports:
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Processing.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Base.yaml" }
  - { resource: "EXT:rte_ckeditor/Configuration/RTE/Editor/Plugins.yaml" }

# Add configuration for the editor
# For complete documentation see http://docs.ckeditor.com/#!/api/CKEDITOR.config
editor:
  config:
    contentsCss: ["EXT:rte_ckeditor/Resources/Public/Css/contents.css","EXT:fain/Resources/Public/dist/css/rte.css"]

    format_tags: "p;h1;h2;h3;h4;h5"

    stylesSet:
      - { name: "Button (white / full width)", element: "a", attributes: { class: "btn btn-white fullwidth" } }
      - { name: "Button (yellow)", element: "a", attributes: { class: "btn btn-arrow btn-yellow" } }
      - { name: "Button (blue)", element: "a", attributes: { class: "btn btn-primary" }}
      - { name: "Button (white)", element: "a", attributes: { class: "btn btn-secondary" }}
      - { name: "Button (yellow-round)", element: "a", attributes: { class: "btn btn-yellow-round" }}
      - { name: "AJAX Overlay", element: "a", attributes: { class: "ajax-overlay btn btn-plus btn-yellow" }}
      - { name: "Cookie Consent", element: "a", attributes: { class: "btn btn-arrow btn-yellow" }}
      - { name: "WARNING", element: "p", attributes: { class: "rte-warning" }}

    toolbarGroups:
      - { name: styles, groups: [ styles, format ] }
      - { name: basicstyles, groups: [ basicstyles ] }
      - { name: paragraph, groups: [ list, indent, blocks, align ] }
      - { name: links, groups: [ links ] }
      - { name: clipboard, groups: [ clipboard, cleanup, undo ] }
      - { name: editing, groups: [ spellchecker ] }
      - { name: insert, groups: [ insert ] }
      - { name: tools, groups: [ table, specialchar, insertcharacters ] }
      - { name: document, groups: [ mode ] }

    justifyClasses:
      - text-left
      - text-center
      - text-right
      - text-justify

    extraPlugins:
      - justify
      - autolink

    removeButtons:
      - Anchor
      - Underline
      - Strike
